Bug 138587 - /etc/init.d/mDNSResponder missing quotes on runuser command
/etc/init.d/mDNSResponder missing quotes on runuser command
Product: Fedora
Classification: Fedora
Component: howl (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2004-11-09 20:22 EST by Matthew Costello
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 16:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Costello 2004-11-09 20:22:33 EST
Description of problem:
The runuser line in /etc/rc.d/init.d/mDNSResponder is missing quotes
around the -c option, so the $OTHER_MDNSRD_OPTS argument is actually
part of the runuser command instead of the mDNSResponder command.
The fix is to quote the line as follows
   runuser -s /bin/bash - nobody -c "mDNSResponder $OTHER_MDNSRD_OPTS"
> /dev/null

Version-Release number of selected component (if applicable):

How reproducible:
Define a non-empty value for OTHER_MDNSRD_OPTS. In my case I had the line
    OTHER_MDNSRD_OPTS="-i eth0"
in /etc/sysconfig/network.

Steps to Reproduce:
1. Add OTHER_MDNSRD_OPTS="-i eth0" to /etc/sysconfig/network
2. run "service mDNSResponder start" as root
Actual results:
Error message from runuser saying that '-i' is an illegal option.

Expected results:

Additional info:
Comment 1 Jason Costomiris 2004-12-13 13:53:53 EST
I can confirm both the problem as well as the solution.

Comment 2 Matthew Miller 2006-07-10 18:43:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 16:48:48 EST
FC3 and FC4 are currently maintained by Fedora Legacy for security fixes only. 
howl is currently obsolete and has been replaced by avahi in the still fully
supported versions of Fedora Core, FC5 and FC6.  Since this is not a security
bug, it will not be fixed.  avahi has a substantial amount of changes from howl,
so please retest this bug against a newer install of Fedora Core if possible. 
If a similar bug is present in FC5 or FC6, please reopen the bug and change the
component to avahi.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.